# Taxonomy admin search form

Taxonomy admin search module provides a search form for taxonomy terms

For a full description of the module, visit the
[project page](https://www.drupal.org/project/taxonomy_search_admin_form).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/taxonomy_search_admin_form).

## Table of contents

- Requirements
- Installation
- Tests
- Maintainers

## Requirements

This module requires no modules outside of Drupal core.

## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Executing the automated tests

This module comes with PHPUnit tests. You need a working Drupal 8|9|10|11 installation.

#### tests and functionnal tests

Make sure to use your DB connection details for the SIMPLETEST_DB and the URL to
your local Drupal installation for SIMPLETEST_BASE_URL.

    export SIMPLETEST_DB=mysql://user:password@localhost/dbname
    export SIMPLETEST_BASE_URL=http://drupal.local

##### For D8, 9 and 10

    cd /path/to/drupal
    ./vendor/bin/phpunit modules/contrib/taxonomy_admin_search_form/tests/src/Functionnal/EditFormTest.php
    ./vendor/bin/phpunit modules/contrib/taxonomy_admin_search_form/tests/src/Unit/EditFormTest.php

##### For D11

    cd /path/to/drupal/web
    ../vendor/bin/phpunit modules/contrib/taxonomy_admin_search_form/tests/src/Functionnal/EditFormTest.php
    ../vendor/bin/phpunit modules/contrib/taxonomy_admin_search_form/tests/src/Unit/EditFormTest.php

## Maintainers

Raphael COLBOC - [racol](https://www.drupal.org/u/racol)

